org.modeshape.jboss.subsystem

## Class AddCacheBinaryStorage

- java.lang.Object
- - org.jboss.as.controller.AbstractAddStepHandler
  - - org.modeshape.jboss.subsystem.AbstractAddBinaryStorage
    - - org.modeshape.jboss.subsystem.AddCacheBinaryStorage

- All Implemented Interfaces:
    org.jboss.as.controller.OperationStepHandler

      public class AddCacheBinaryStorage
      extends AbstractAddBinaryStorage

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AddCacheBinaryStorage` | `INSTANCE`

    - ### Fields inherited from class org.jboss.as.controller.AbstractAddStepHandler

      `attributes`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addControllersAndDependencies(String repositoryName, BinaryStorageService service, org.jboss.msc.service.ServiceBuilder<BinaryStorage> builder, List<org.jboss.msc.service.ServiceController<?>> newControllers, org.jboss.msc.service.ServiceTarget target, String binariesStoreName)`
    `protected void` | `populateModel(org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode model)`
    `protected void` | `writeBinaryStorageConfiguration(String repositoryName, org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode model, EditableDocument binaries)`

    - ### Methods inherited from class org.modeshape.jboss.subsystem.AbstractAddBinaryStorage

      `createBinaryStorageService, performRuntime, writeCommonBinaryStorageConfiguration`

    - ### Methods inherited from class org.jboss.as.controller.AbstractAddStepHandler

      `createResource, execute, populateModel, populateModel, requiresRuntime, requiresRuntimeVerification, rollbackRuntime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final AddCacheBinaryStorage INSTANCE

  - ### Method Detail

    - #### writeBinaryStorageConfiguration

          protected void writeBinaryStorageConfiguration(String repositoryName,
                                             org.jboss.as.controller.OperationContext context,
                                             org.jboss.dmr.ModelNode model,
                                             EditableDocument binaries)
                                                  throws org.jboss.as.controller.OperationFailedException

      Specified by:
        `writeBinaryStorageConfiguration` in class `AbstractAddBinaryStorage`
      Throws:
        `org.jboss.as.controller.OperationFailedException`

    - #### addControllersAndDependencies

          protected void addControllersAndDependencies(String repositoryName,
                                           BinaryStorageService service,
                                           org.jboss.msc.service.ServiceBuilder<BinaryStorage> builder,
                                           List<org.jboss.msc.service.ServiceController<?>> newControllers,
                                           org.jboss.msc.service.ServiceTarget target,
                                           String binariesStoreName)

      Overrides:
        `addControllersAndDependencies` in class `AbstractAddBinaryStorage`

    - #### populateModel

          protected void populateModel(org.jboss.dmr.ModelNode operation,
                           org.jboss.dmr.ModelNode model)
                                throws org.jboss.as.controller.OperationFailedException

      Overrides:
        `populateModel` in class `org.jboss.as.controller.AbstractAddStepHandler`
      Throws:
        `org.jboss.as.controller.OperationFailedException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.